跳转到主要内容
GET
/
project
/
update-status
/
{statusId}
获取更新状态
curl --request GET \
  --url https://api.mintlify.com/v1/project/update-status/{statusId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mintlify.com/v1/project/update-status/{statusId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mintlify.com/v1/project/update-status/{statusId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "_id": "<string>",
  "projectId": "<string>",
  "createdAt": "<string>",
  "endedAt": "<string>",
  "summary": "<string>",
  "logs": [
    "<string>"
  ],
  "subdomain": "<string>",
  "screenshot": "<string>",
  "screenshotLight": "<string>",
  "screenshotDark": "<string>",
  "author": {
    "name": "<string>",
    "avatarUrl": "<string>",
    "githubUserId": 123
  },
  "commit": {
    "sha": "<string>",
    "ref": "<string>",
    "message": "<string>",
    "filesChanged": {
      "added": [
        "<string>"
      ],
      "modified": [
        "<string>"
      ],
      "removed": [
        "<string>"
      ]
    }
  }
}

授权

Authorization
string
header
必填

Authorization 请求头需要使用 Bearer token。请使用以 mint_ 为前缀的管理员 API key。该 key 是仅供服务端使用的机密密钥。你可以在控制台的 API keys 页面 中生成一个。

路径参数

statusId
string
必填

已触发的更新的状态 ID。

响应

200 - application/json

成功响应

_id
string

已触发更新项的状态 ID。

projectId
string

文档项目的 ID。

createdAt
string

具有指定 UTC 日期时间的 ISODate

endedAt
string

包含指定 UTC 日期时间的 ISODate

status
enum<string>

更新状态。

可用选项:
queued,
in_progress,
success,
failure
summary
string

更新状态概览

logs
string[]

一组日志。

subdomain
string

正在更新的文档站点的子域。

screenshot
string

文档截图。

screenshotLight
string

文档截图。

screenshotDark
string

文档在深色模式下的截图。

author
object | null

此更新的作者。

commit
object

提交详情

source
enum<string>

更新触发器的来源。

可用选项:
internal,
github-app-installation,
api,
github,
dashboard,
gitlab,
onboarding